org.jfree.data.statistics

## Interface BoxAndWhiskerCategoryDataset

All Superinterfaces:
  CategoryDataset, Dataset, KeyedValues2D, Values2D

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset

    public interface BoxAndWhiskerCategoryDataset
    extends CategoryDataset

A category dataset that defines various medians, outliers and an average value for each item.

### Method Summary

Methods
`java.lang.Number` `getMaxOutlier(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the maximum outlier (non-farout) for an item.
`java.lang.Number` `getMaxOutlier(int row, int column)` Returns the maximum outlier (non-farout) for an item.
`java.lang.Number` `getMaxRegularValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the maximum regular (non-outlier) value for an item.
`java.lang.Number` `getMaxRegularValue(int row, int column)` Returns the maximum regular (non-outlier) value for an item.
`java.lang.Number` `getMeanValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the average value for an item.
`java.lang.Number` `getMeanValue(int row, int column)` Returns the mean value for an item.
`java.lang.Number` `getMedianValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the median value for an item.
`java.lang.Number` `getMedianValue(int row, int column)` Returns the median value for an item.
`java.lang.Number` `getMinOutlier(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the minimum outlier (non-farout) for an item.
`java.lang.Number` `getMinOutlier(int row, int column)` Returns the minimum outlier (non-farout) for an item.
`java.lang.Number` `getMinRegularValue(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the minimum regular (non-outlier) value for an item.
`java.lang.Number` `getMinRegularValue(int row, int column)` Returns the minimum regular (non-outlier) value for an item.
`java.util.List` `getOutliers(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns a list of outlier values for an item.
`java.util.List` `getOutliers(int row, int column)` Returns a list of outlier values for an item.
`java.lang.Number` `getQ1Value(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the q1median value for an item.
`java.lang.Number` `getQ1Value(int row, int column)` Returns the q1median value for an item.
`java.lang.Number` `getQ3Value(java.lang.Comparable rowKey, java.lang.Comparable columnKey)` Returns the q3median value for an item.
`java.lang.Number` `getQ3Value(int row, int column)` Returns the q3median value for an item.

### Methods inherited from interface org.jfree.data.KeyedValues2D

`getColumnIndex, getColumnKey, getColumnKeys, getRowIndex, getRowKey, getRowKeys, getValue`

### Methods inherited from interface org.jfree.data.Values2D

`getColumnCount, getRowCount, getValue`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Method Detail

#### getMeanValue

    java.lang.Number getMeanValue(int row,
                                int column)

Returns the mean value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The mean value.

#### getMeanValue

    java.lang.Number getMeanValue(java.lang.Comparable rowKey,
                                java.lang.Comparable columnKey)

Returns the average value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The average value.

#### getMedianValue

    java.lang.Number getMedianValue(int row,
                                  int column)

Returns the median value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The median value.

#### getMedianValue

    java.lang.Number getMedianValue(java.lang.Comparable rowKey,
                                  java.lang.Comparable columnKey)

Returns the median value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The median value.

#### getQ1Value

    java.lang.Number getQ1Value(int row,
                              int column)

Returns the q1median value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The q1median value.

#### getQ1Value

    java.lang.Number getQ1Value(java.lang.Comparable rowKey,
                              java.lang.Comparable columnKey)

Returns the q1median value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The q1median value.

#### getQ3Value

    java.lang.Number getQ3Value(int row,
                              int column)

Returns the q3median value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The q3median value.

#### getQ3Value

    java.lang.Number getQ3Value(java.lang.Comparable rowKey,
                              java.lang.Comparable columnKey)

Returns the q3median value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The q3median value.

#### getMinRegularValue

    java.lang.Number getMinRegularValue(int row,
                                      int column)

Returns the minimum regular (non-outlier) value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The minimum regular value.

#### getMinRegularValue

    java.lang.Number getMinRegularValue(java.lang.Comparable rowKey,
                                      java.lang.Comparable columnKey)

Returns the minimum regular (non-outlier) value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The minimum regular value.

#### getMaxRegularValue

    java.lang.Number getMaxRegularValue(int row,
                                      int column)

Returns the maximum regular (non-outlier) value for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The maximum regular value.

#### getMaxRegularValue

    java.lang.Number getMaxRegularValue(java.lang.Comparable rowKey,
                                      java.lang.Comparable columnKey)

Returns the maximum regular (non-outlier) value for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The maximum regular value.

#### getMinOutlier

    java.lang.Number getMinOutlier(int row,
                                 int column)

Returns the minimum outlier (non-farout) for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The minimum outlier.

#### getMinOutlier

    java.lang.Number getMinOutlier(java.lang.Comparable rowKey,
                                 java.lang.Comparable columnKey)

Returns the minimum outlier (non-farout) for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The minimum outlier.

#### getMaxOutlier

    java.lang.Number getMaxOutlier(int row,
                                 int column)

Returns the maximum outlier (non-farout) for an item.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  The maximum outlier.

#### getMaxOutlier

    java.lang.Number getMaxOutlier(java.lang.Comparable rowKey,
                                 java.lang.Comparable columnKey)

Returns the maximum outlier (non-farout) for an item.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  The maximum outlier.

#### getOutliers

    java.util.List getOutliers(int row,
                             int column)

Returns a list of outlier values for an item. The list may be empty, but should never be `null`.

Parameters:
  `row` - the row index (zero-based).
  `column` - the column index (zero-based).
Returns:
  A list of outliers for an item.

#### getOutliers

    java.util.List getOutliers(java.lang.Comparable rowKey,
                             java.lang.Comparable columnKey)

Returns a list of outlier values for an item. The list may be empty, but should never be `null`.

Parameters:
  `rowKey` - the row key.
  `columnKey` - the columnKey.
Returns:
  A list of outlier values for an item.